Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.jboss
Interface C3P0PooledDataSourceMBean

All Known Implementing Classes:
  C3P0PooledDataSource

    public interface C3P0PooledDataSourceMBean

Method Summary
`void` | `close()`
`void` | `create()`
`void` | `destroy()`
`int` | `getAcquireIncrement()`
`int` | `getAcquireRetryAttempts()`
`int` | `getAcquireRetryDelay()`
`java.lang.String` | `getAutomaticTestTable()`
`int` | `getCheckoutTimeout()`
`java.lang.String` | `getConnectionCustomizerClassName()`
`java.lang.String` | `getConnectionTesterClassName()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDriverClass()`
`float` | `getEffectivePropertyCycle(java.lang.String username, java.lang.String password)`
`float` | `getEffectivePropertyCycleDefaultUser()`
`java.lang.String` | `getFactoryClassLocation()`
`int` | `getIdleConnectionTestPeriod()`
`int` | `getInitialPoolSize()`
`java.lang.String` | `getJdbcUrl()`
`java.lang.String` | `getJndiName()`
`int` | `getMaxAdministrativeTaskTime()`
`int` | `getMaxConnectionAge()`
`int` | `getMaxIdleTime()`
`int` | `getMaxIdleTimeExcessConnections()`
`int` | `getMaxPoolSize()`
`int` | `getMaxStatements()`
`int` | `getMaxStatementsPerConnection()`
`int` | `getMinPoolSize()`
`int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumBusyConnectionsAllUsers()`
`int` | `getNumBusyConnectionsDefaultUser()`
`int` | `getNumConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumConnectionsAllUsers()`
`int` | `getNumConnectionsDefaultUser()`
`int` | `getNumHelperThreads()`
`int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumIdleConnectionsAllUsers()`
`int` | `getNumIdleConnectionsDefaultUser()`
`int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)`
`int` | `getNumUnclosedOrphanedConnectionsAllUsers()`
`int` | `getNumUnclosedOrphanedConnectionsDefaultUser()`
`int` | `getNumUserPools()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPreferredTestQuery()`
`int` | `getPropertyCycle()`
`int` | `getUnreturnedConnectionTimeout()`
`java.lang.String` | `getUser()`
`void` | `hardReset()`
`boolean` | `isAutoCommitOnClose()`
`boolean` | `isBreakAfterAcquireFailure()`
`boolean` | `isDebugUnreturnedConnectionStackTraces()`
`boolean` | `isForceIgnoreUnresolvedTransactions()`
`boolean` | `isTestConnectionOnCheckin()`
`boolean` | `isTestConnectionOnCheckout()`
`boolean` | `isUsesTraditionalReflectiveProxies()`
`void` | `setAcquireIncrement(int acquireIncrement)`
`void` | `setAcquireRetryAttempts(int acquireRetryAttempts)`
`void` | `setAcquireRetryDelay(int acquireRetryDelay)`
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)`
`void` | `setAutomaticTestTable(java.lang.String automaticTestTable)`
`void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)`
`void` | `setCheckoutTimeout(int checkoutTimeout)`
`void` | `setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)`
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)`
`void` | `setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void` | `setInitialPoolSize(int initialPoolSize)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)`
`void` | `setMaxConnectionAge(int maxConnectionAge)`
`void` | `setMaxIdleTime(int maxIdleTime)`
`void` | `setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMaxStatements(int maxStatements)`
`void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `setNumHelperThreads(int numHelperThreads)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)`
`void` | `setPropertyCycle(int propertyCycle)`
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void` | `setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)`
`void` | `setUser(java.lang.String user)`
`void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)`
`void` | `softReset(java.lang.String username, java.lang.String password)`
`void` | `softResetAllUsers()`
`void` | `softResetDefaultUser()`
`void` | `start()`
`void` | `stop()`

Method Detail

### setJndiName

    void setJndiName(java.lang.String jndiName)
                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getJndiName

    java.lang.String getJndiName()

### getDescription

    java.lang.String getDescription()

### setDescription

    void setDescription(java.lang.String description)
                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getDriverClass

    java.lang.String getDriverClass()

### setDriverClass

    void setDriverClass(java.lang.String driverClass)
                        throws java.beans.PropertyVetoException,
                               javax.naming.NamingException

  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getJdbcUrl

    java.lang.String getJdbcUrl()

### setJdbcUrl

    void setJdbcUrl(java.lang.String jdbcUrl)
                    throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getUser

    java.lang.String getUser()

### setUser

    void setUser(java.lang.String user)
                 throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getPassword

    java.lang.String getPassword()

### setPassword

    void setPassword(java.lang.String password)
                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getUnreturnedConnectionTimeout

    int getUnreturnedConnectionTimeout()

### setUnreturnedConnectionTimeout

    void setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)
                                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isDebugUnreturnedConnectionStackTraces

    boolean isDebugUnreturnedConnectionStackTraces()

### setDebugUnreturnedConnectionStackTraces

    void setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)
                                                 throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getConnectionCustomizerClassName

    java.lang.String getConnectionCustomizerClassName()

### setConnectionCustomizerClassName

    void setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)
                                          throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxConnectionAge

    int getMaxConnectionAge()

### setMaxConnectionAge

    void setMaxConnectionAge(int maxConnectionAge)
                             throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxIdleTimeExcessConnections

    int getMaxIdleTimeExcessConnections()

### setMaxIdleTimeExcessConnections

    void setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)
                                         throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxAdministrativeTaskTime

    int getMaxAdministrativeTaskTime()

### setMaxAdministrativeTaskTime

    void setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)
                                      throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getCheckoutTimeout

    int getCheckoutTimeout()

### setCheckoutTimeout

    void setCheckoutTimeout(int checkoutTimeout)
                            throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getAcquireIncrement

    int getAcquireIncrement()

### setAcquireIncrement

    void setAcquireIncrement(int acquireIncrement)
                             throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getAcquireRetryAttempts

    int getAcquireRetryAttempts()

### setAcquireRetryAttempts

    void setAcquireRetryAttempts(int acquireRetryAttempts)
                                 throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getAcquireRetryDelay

    int getAcquireRetryDelay()

### setAcquireRetryDelay

    void setAcquireRetryDelay(int acquireRetryDelay)
                              throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isAutoCommitOnClose

    boolean isAutoCommitOnClose()

### setAutoCommitOnClose

    void setAutoCommitOnClose(boolean autoCommitOnClose)
                              throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getConnectionTesterClassName

    java.lang.String getConnectionTesterClassName()

### setConnectionTesterClassName

    void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException,
                                             javax.naming.NamingException

  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getAutomaticTestTable

    java.lang.String getAutomaticTestTable()

### setAutomaticTestTable

    void setAutomaticTestTable(java.lang.String automaticTestTable)
                               throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isForceIgnoreUnresolvedTransactions

    boolean isForceIgnoreUnresolvedTransactions()

### setForceIgnoreUnresolvedTransactions

    void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)
                                              throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getIdleConnectionTestPeriod

    int getIdleConnectionTestPeriod()

### setIdleConnectionTestPeriod

    void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)
                                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getInitialPoolSize

    int getInitialPoolSize()

### setInitialPoolSize

    void setInitialPoolSize(int initialPoolSize)
                            throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxIdleTime

    int getMaxIdleTime()

### setMaxIdleTime

    void setMaxIdleTime(int maxIdleTime)
                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxPoolSize

    int getMaxPoolSize()

### setMaxPoolSize

    void setMaxPoolSize(int maxPoolSize)
                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxStatements

    int getMaxStatements()

### setMaxStatements

    void setMaxStatements(int maxStatements)
                          throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMaxStatementsPerConnection

    int getMaxStatementsPerConnection()

### setMaxStatementsPerConnection

    void setMaxStatementsPerConnection(int maxStatementsPerConnection)
                                       throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMinPoolSize

    int getMinPoolSize()

### setMinPoolSize

    void setMinPoolSize(int minPoolSize)
                        throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getPropertyCycle

    int getPropertyCycle()

### setPropertyCycle

    void setPropertyCycle(int propertyCycle)
                          throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isBreakAfterAcquireFailure

    boolean isBreakAfterAcquireFailure()

### setBreakAfterAcquireFailure

    void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)
                                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckout

    boolean isTestConnectionOnCheckout()

### setTestConnectionOnCheckout

    void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)
                                     throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckin

    boolean isTestConnectionOnCheckin()

### setTestConnectionOnCheckin

    void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)
                                    throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### isUsesTraditionalReflectiveProxies

    boolean isUsesTraditionalReflectiveProxies()

### setUsesTraditionalReflectiveProxies

    void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)
                                             throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getPreferredTestQuery

    java.lang.String getPreferredTestQuery()

### setPreferredTestQuery

    void setPreferredTestQuery(java.lang.String preferredTestQuery)
                               throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getNumHelperThreads

    int getNumHelperThreads()

### setNumHelperThreads

    void setNumHelperThreads(int numHelperThreads)
                             throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getFactoryClassLocation

    java.lang.String getFactoryClassLocation()

### setFactoryClassLocation

    void setFactoryClassLocation(java.lang.String factoryClassLocation)
                                 throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getNumUserPools

    int getNumUserPools()
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumConnectionsDefaultUser

    int getNumConnectionsDefaultUser()
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsDefaultUser

    int getNumIdleConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsDefaultUser

    int getNumBusyConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsDefaultUser

    int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumConnections

    int getNumConnections(java.lang.String username,
                          java.lang.String password)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumIdleConnections

    int getNumIdleConnections(java.lang.String username,
                              java.lang.String password)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumBusyConnections

    int getNumBusyConnections(java.lang.String username,
                              java.lang.String password)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnections

    int getNumUnclosedOrphanedConnections(java.lang.String username,
                                          java.lang.String password)
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getEffectivePropertyCycle

    float getEffectivePropertyCycle(java.lang.String username,
                                    java.lang.String password)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsAllUsers

    int getNumBusyConnectionsAllUsers()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsAllUsers

    int getNumIdleConnectionsAllUsers()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumConnectionsAllUsers

    int getNumConnectionsAllUsers()
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsAllUsers

    int getNumUnclosedOrphanedConnectionsAllUsers()
                                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getEffectivePropertyCycleDefaultUser

    float getEffectivePropertyCycleDefaultUser()
                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### softResetDefaultUser

    void softResetDefaultUser()
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### softReset

    void softReset(java.lang.String username,
                   java.lang.String password)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### softResetAllUsers

    void softResetAllUsers()
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### hardReset

    void hardReset()
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    void create()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    void stop()

### destroy

    void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD